/* Article Styling */

body {
  background-color: hsl(212, 23%, 69%);
  box-sizing: border-box;
  margin-top: 50px;
  margin-left: 50px;
  font-family: "Manrope", sans-serif;
}
/* parent node */
.component {
  display: flex;
  flex-direction: row;
  background-color: hsl(210, 46%, 95%);
  font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen,
    Ubuntu, Cantarell, "Open Sans", "Helvetica Neue", sans-serif;
  border: 3px;
  border-radius: 10px;
  height: 350px;
  width: 800px;
  border-color: black;
}
/* text color */
.component p {
  color: hsl(217, 19%, 35%);
}
/* graphic container */
.image-container img {
  width: 100%;
  height: 100%;
  vertical-align: middle;
  border-top-left-radius: 10px;
  border-top-right-radius: 10px;
}

/*  info is parent of text and social badges/buttons */
.info-container {
  justify-content: right;
  flex-direction: column;
  width: 100%;
  padding-top: 5%;
}
.text-container {
  padding-left: 10%;
  padding-right: 10%;
}
.big-paragraph {
  font-size: 16px;
  line-height: 1.5;
  align-content: flex-start;
  font-weight: bold;
}
.small-paragraph {
  font-size: 13px;
  line-height: 1.5;
}
/* social emblems and button */
.social-container {
  left: 0;
  bottom: 0;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  padding-top: 5%;
  padding-right: 50px;
  padding-left: 37px;
}

.author-info {
  display: flex;
  flex-direction: row;
}
/* picture and info, or active state share and 
social buttons */
.social-info {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  padding-left: 5px;
}

.social-container img {
  width: 50px;
  height: 50px;
  border-radius: 50%;
  padding-right: 20px;
}
/* footer */
.attribution {
  position: fixed;
  left: 0;
  bottom: 0;
  width: 100%;
  background-color: cyan;
  font-size: 11px;
  text-align: center;
}
.attribution a {
  color: hsl(228, 45%, 44%);
}
.share-button {
  z-index: 1;
  border-radius: 50%;
  padding: 10px;
  border: none;
  background: hsl(210, 46%, 95%);
  fill: hsl(214, 17%, 51%);
}
.share-button:hover {
  background: hsl(214, 17%, 51%);
}
.share-button:hover path {
  fill: white;
}

@media only screen and (min-width: 850px) {
  /* desktop view pop-up container */
  .active-social-container {
    position: relative;
    display: inline-block;
    cursor: pointer;
  }
  /* actual desktop pop-up */
  .active-social-container .social-info {
    width: 200px;
    background-color: hsl(217, 19%, 35%);
    color: hsl(212, 23%, 69%);
    font-size: 12px;
    letter-spacing: 5px;
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    text-align: center;
    border-radius: 6px;
    position: absolute;
    z-index: 1;
    bottom: 110px;
    left: 629px;
  }
  /* pop-up arrow */
  .active-social-container .social-info::after {
    content: "";
    position: absolute;
    top: 100%;
    left: 50%;
    margin-left: -5px;
    border-width: 5px;
    border-style: solid;
    border-color: #555 transparent transparent transparent;
  }

  /* Toggle this class when clicking on the popup container (hide and show the popup) */
  .active-social-container .show {
    visibility: visible;
    -webkit-animation: fadeIn 1s;
    animation: fadeIn 1s;
  }

  /* Add animation (fade in the popup) */
  @-webkit-keyframes fadeIn {
    from {
      opacity: 0;
    }
    to {
      opacity: 1;
    }
  }

  @keyframes fadeIn {
    from {
      opacity: 0;
    }
    to {
      opacity: 1;
    }
  }
}
/* Mobile and small screens */
@media only screen and (max-width: 850px) {
  body {
    padding-left: 10%;
    padding-right: 40vh;
    margin-top: 10vh;
  }
  .component {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 325px;
    height: 570px;
  }
  .active-social-container {
    width: 325px;
    position: relative;
    bottom: 60px;
    height: 50px;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
    background-color: hsl(217, 19%, 35%);
    padding-top: 5px;
    padding-bottom: 5px;
    border-bottom-left-radius: 10px;
    border-bottom-right-radius: 10px;
  }
  .active-social-container button {
    justify-content: flex-end;
    height: 25px;
    width: 25px;
    border-radius: 50%;
    z-index: 1;
  }
  .social-info {
    width: 50%;
    align-items: inherit;
    padding-left: 30px;
    padding-bottom: 5px;
  }
  .social-info p {
    color: hsl(212, 23%, 69%);
    letter-spacing: 4px;
    font-size: 10px;
  }
}
